﻿/*Copyright(c) 2018 Hesham Systems LLC.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.*/

using System.IO;

namespace OWTrack
{
    public struct Paths
    {
        /// <summary>
        /// Current Application directory.
        /// </summary>
        private static string curDir = Directory.GetCurrentDirectory();

        /// <summary>
        /// Saves Folder relative path. \n Relative to Application Directory. 
        /// </summary>
        private static string SAVES = curDir + "/saves/data.json";

        /// <summary>
        /// Saves Folder relative path. \n Relative to Application Directory. 
        /// </summary>
        private static string JSON = curDir + "/data.json";

        public static string GetJSON() { return JSON; }//TODO: Unused var

        /// <summary>
        /// Get Saves file Path.
        /// </summary>
        /// <returns></returns>
        public static string GetSaves() { return SAVES; }

        /// <summary>
        /// Get Current Application directory.
        /// </summary>
        /// <returns></returns>
        public static string GetCurrentDir() { return curDir; }

        /// <summary>
        /// "Program Files" standered constant paths. 
        /// </summary>
        public struct ProgramFiles
        {
            public const string C = "C:\\Program Files";
            public const string D = "D:\\Program Files";
            public const string E = "E:\\Program Files";
            public const string F = "F:\\Program Files";
        }
    }
}
